import logging
import os
import sys
from cluster_restore import add_cluster_restore_args
from cluster_snapshot import add_cluster_snapshot_args

logging.getLogger("urllib3").setLevel(logging.WARNING)
logging.getLogger("urllib3.util.retry").setLevel(logging.WARNING)

# Set up logging.
log = logging.getLogger('{0}[{1}]'.format(os.path.basename(sys.argv[0]),
                                          os.getpid()))

def add_cluster_args(subparsers):
    p = subparsers.add_parser('cluster', help='Commands related to the cluster.')
    cluster_sub = p.add_subparsers(help='sub-command help')
    add_cluster_restore_args(cluster_sub)
    add_cluster_snapshot_args(cluster_sub)
